Bug 1396631 - reconfigure cpu cores is not usable on vsphere with hot plug
Summary: reconfigure cpu cores is not usable on vsphere with hot plug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: luke couzens
URL:
Whiteboard: reconfigure
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-18 18:46 UTC by luke couzens
Modified: 2017-05-31 14:24 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:22 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description luke couzens 2016-11-18 18:46:01 UTC
Description of problem:Should this option be hidden in cfme, as you can't increase/decrease cpu cores on a selected vm when its powered on. (hot plug) 


Version-Release number of selected component (if applicable):5.7.0.11


How reproducible:100%


Steps to Reproduce:
1.provision appliance
2.add vmware provider
3.provision vm
4.reconfigure powered on vm changing core values

Actual results: Error: The attempted operation cannot be performed in the current state (Powered on).



Expected results:Item removed when running with powered on vm


Additional info: This error is fine when you are only trying to change the cores, however if you are changing multiple things i.e cores/sockets and mem then they all fail due to the core change.

Comment 2 Adam Grare 2016-11-22 18:53:44 UTC
I think this is being covered as part of the work for https://bugzilla.redhat.com/show_bug.cgi?id=1386843 in pr https://github.com/ManageIQ/manageiq/pull/12275
Specifically https://github.com/ManageIQ/manageiq/pull/12275/files#diff-e0551d36e22b59429f892bcf601a4b63R61

It doesn't hide it in the UI but it does prevent the reconfigure request from going all the way to the VC when we know it will fail.

Comment 3 Adam Grare 2016-11-28 21:41:06 UTC
https://github.com/ManageIQ/manageiq/pull/12275

Comment 4 luke couzens 2017-02-28 13:05:12 UTC
Verified in 5.8.0.2

Comment 6 errata-xmlrpc 2017-05-31 14:24:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.